Тема
Список правил проверки
Правила проверки данных в файле или на одном листе: тип, диапазон и параметры каждого правила.
GET
/v1/files/{file_uuid}/validations
Авторизация
apiToken
Токен из настроек пространства (значение вида tby_live_…). Заголовок: Authorization: Bearer <токен>.
Тип
HTTP (bearer)
Параметры
Параметры пути
file_uuid*
Uuid файла.
Тип
Обязательныйstring
Параметры запроса
sheet
Имя листа; по умолчанию — первый лист.
Тип
string
Ответы
Успешный вызов
application/json
JSON "count": 0, "file_uuid": "string", "validations": [ { "case_sensitive": true, "composite": true, "contains": [ ], "date_after": "string", "date_before": "string", "date_equals": [ ], "date_max": "string", "date_min": "string", "date_not_equals": [ ], "equals": [ ], "error_message": "string", "error_title": "string", "exactly": [ ], "formula": "string", "greater_than": 0, "id": "string", "ignore_blank": true, "kind": "string", "less_than": 0, "max": 0, "max_length": 0, "message_text": "string", "message_title": "string", "min": 0, "min_length": 0, "not_contains": [ ], "not_equals": [ ], "prohibit_date": true, "prohibit_time": true, "range": "string", "require_date": true, "require_integer": true, "require_time": true, "sheet": "string", "source_range": "string", "strict": true, "time_equals": [ ], "time_max": "string", "time_min": "string", "time_not_equals": [ ], "values": [ ] } ]
{
}